---
apiVersion: "v1"
kind: "Template"
labels: {}
metadata:
  annotations:
    description: "Shows how to use Camel with Spring Boot in the Java Container"
    fabric8.springboot-camel/summary: "Shows how to use Camel with Spring Boot in\
      \ the Java Container"
    fabric8.springboot-camel/iconUrl: "img/icons/camel.svg"
  labels: {}
  name: "springboot-camel"
objects:
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v2.2.104"
      fabric8.io/git-commit: "28ac0fdf3c526f104f48574e94c7a49e851fa659"
      fabric8.io/git-url: "http://gogs.release.cd.fabric8.io/gogsadmin/oss-parent/commit/28ac0fdf3c526f104f48574e94c7a49e851fa659"
      fabric8.io/build-url: "http://jenkins.release.cd.fabric8.io/job/oss-parent/4"
      fabric8.io/build-id: "4"
    labels:
      project: "springboot-camel"
      provider: "fabric8"
      version: "2.2.104"
      group: "quickstarts"
    name: "springboot-camel"
  spec:
    replicas: 1
    selector:
      project: "springboot-camel"
      provider: "fabric8"
      version: "2.2.104"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          project: "springboot-camel"
          provider: "fabric8"
          version: "2.2.104"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/springboot-camel:2.2.104"
          name: "springboot-camel"
          ports:
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
